<template>
    From the actual Component
    <div id="divid"></div>   
    Still my comp
    <div id="divid2"></div>   
</template>

<script>
import { defineComponent, createApp} from 'vue'
import DataTable from "@/components/DataTable.vue";
import TimeSliderStatComp from "@/components/TimeSliderStatComp.vue";
import { useGlobalStore } from '@/store/globalStore.js';
import StatType2Comp from "@/components/StatType2Comp.vue";
import HelloWorld from '@/components/HelloWorld.vue'

export default {

    methods: {
        createMyComponent: function () {
            let buttonView = defineComponent({
                extends: HelloWorld, data() {
                    return {
                        somemoredata: 1111,
                    }
                }               
            })

            createApp(buttonView, { hellomessage:"ciao ciao" }).mount("#divid")
            createApp(HelloWorld, { hellomessage:"Arrivederci" }).mount("#divid2")

            
        }
    },
    mounted() {
        this.createMyComponent()
    }
}




</script>

